ErraticMotorPacket Class Reference

## Public Member Functions

bool | Parse (unsigned char *buffer, int length)
void | Print ()
void | Fill (player_erratic_data_t *data)
| ErraticMotorPacket (int idx)

## Public Attributes

bool | lwstall
bool | rwstall
unsigned char | status
unsigned char | battery
unsigned short | ptu
unsigned short | timer
unsigned short | rawxpos
unsigned short | rawypos
short | angle
short | lvel
short | rvel
short | control
int | xpos
int | ypos
int | x_offset
int | y_offset
int | angle_offset

## Private Member Functions

int | PositionChange (unsigned short, unsigned short)

## Private Attributes

int | param_idx

The documentation for this class was generated from the following files:

- motorpacket.h
- motorpacket.cc

Last updated 12 September 2005 21:38:45